QGIS Application - Bug report #11585
Import into PostGIS fails due to capital letter
2014-11-06 07:48 AM - Spencer Gardner

Status: Closed

Priority: Normal

Assignee: Victor Olaya

Category: Processing/QGIS

Affected QGIS version:master Regression?: No
Operating System: Easy fix?: No
Pull Request or Patch supplied: Resolution:

Crashes QGIS or corrupls data: Copied to github as #: 19845
Description

When using the Import into PostGIS tool, if | give a table name that starts with a capital letter the tool fails while creating the spatial index:

MESSAGE: relation "scratch.tablename" does not exist QUERY: CREATE INDEX sidx_Tablename ON scratch.Tablename USING
GIST(geom) See log for more details

It appears the script doesn't honor the initial capital letter when trying to create the index.
Steps to reproduce:

1 - Open "Import into PostGIS" processing tool

2 - Fill out appropriate fields, specifying a table name that starts with a capital letter

3 - Run the tool

Expected behavior is that the tool successfully creates a new table with a spatial index.

Associated revisions

Revision ae71e1f0 - 2015-10-01 09:51 AM - Victor Olaya

[processing] fix problems with names with capital letters when importing to postgis

fixes #11585

History

#1 - 2014-11-06 09:56 AM - Giovanni Manghi

- Affected QGIS version changed from 2.6.0 to master
- OS version deleted (7)

- Operating System deleted (Windows 64-bit)

#2 - 2015-10-01 12:52 AM - Victor Olaya

- Status changed from Open to Closed

Fixed in changeset commit:"ae71e1f098e00f2d7674373be66461a594affcad".
